Conversation
History of the current thread.
Updated on January 1, 1970
Privacy and analytics
We use necessary technical cookies and, only with your consent, analytics and marketing pixels to improve the website and measure campaigns.
History of the current thread.
Updated on January 1, 1970
Searches earlier messages of the current thread only.
| Field | Value |
|---|---|
| Kind | Read |
| HTTP method | POST /api/v1/conversation.search |
| MCP tool | conversation_search |
| Scope | conversation.read |
| Minimum role | Viewer |
| Human confirmation | No |
| Doors | Nödo, Voice |
| Status | Available |
Input
{
query: string // ≤ 200
limit?: integer // 1–10 · default 10
}Output
{
items: Array<{
sequence: integer // -9007199254740991–9007199254740991
role: string
excerpt: string
createdAt: string
}>
}Reads one full message of the current thread by sequence, in 6,000 character pages.
| Field | Value |
|---|---|
| Kind | Read |
| HTTP method | POST /api/v1/conversation.read |
| MCP tool | conversation_read |
| Scope | conversation.read |
| Minimum role | Viewer |
| Human confirmation | No |
| Doors | Nödo, Voice |
| Status | Available |
Input
{
sequence: integer // 1–9007199254740991
page?: integer // 1–9007199254740991 · default 1
}Output
{
sequence: integer // -9007199254740991–9007199254740991
role: string
text: string
hasMore: boolean
}